Subject: RE: [Tsvwg] SHUTDOWN COMPLETE chunk bundled with DATA chunk

From: "Ravindra Kumar SR" <[email-masked]>
Date: Fri, 25 May 2007 14:09:04 +0530

Hi,

There are 2 condition of receiving SHUTDOWN_COMPLETE+DATA packet

1> on the existing association
2> OOTB

In the first condition, after processing SHUTDOWN_COMPLETE chunk you
just have to discard the DATA chunk. The IP guru Jon Postel says "Be
liberal in what you accept and be conservative in what you send".  

In the second condition, silently discard the packet.

Regards,
Ravindra Kumar S R

-----Original Message-----
From: devayya [mailto:[email-masked]] 
Sent: Friday, May 25, 2007 1:38 PM
To: Andrey Konstantinov
Cc: [email-masked]
Subject: Re: [Tsvwg] SHUTDOWN COMPLETE chunk bundled with DATA chunk

Andrey,

Since the SHUTDOWN COMPLETE is first chunk in the packet then the 
association state will reach CLOSED state. and so

The RFC 2960 says,

"A DATA chunk received in CLOSED is out of the blue and SHOULD be 
handled per 8.4."

Regards,
devayya

Andrey Konstantinov wrote:

> Hi,
>  
> I have a question, because I can not find the answer in RFC 2960.
>  
> There is a situation when SCTP receives packet with two chunks. First 
> chunk is SHUTDOWN COMPLETE, second chunk is DATA.
> I know that packet is formed wrongly by remote side, but what is exact

> behaviour on this packet?
>  
> I expect two variants:
> 1. SCTP stops processing of the message after SHUTDOWN COMPLETE chunk.
> 2. SCTP sends ABORT chunk on DATA chunk since the SHUTDOWN COMPLETE 
> chunk has been processed and there is no association for the DATA
chunk.
>  
> Could you say me what solution is correct?
>  
> Best regards,
> Andrey Konstantinov